Temporary API Keys
List API keys
GET
/
api
/
temporary-keys
/
List API keys
curl --request GET \
--url https://api.keywordsai.co/api/temporary-keys/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.keywordsai.co/api/temporary-keys/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.keywordsai.co/api/temporary-keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
You can list all temporary API keys by sending a GET request to the temporary keys endpoint.
Response
{
"results": [
{
"id": "vcjRcdm8...",
"name": "Keywords AI temporary key",
"expiry_date": "2025-03-15T01:19:33.263343Z",
"max_usage": -1,
},
{
"id": "vcjRcdm8...",
"name": "Keywords AI temporary key",
"expiry_date": "2025-03-15T01:19:33.263343Z",
"max_usage": -1,
}
],
"count": 0,
"previous": null, // pagination
"next": null, // pagination
"current_filters": {}
}
Was this page helpful?
⌘I
List API keys
